using System.Threading.Tasks;

namespace Example;

public delegate void NotifyPacket(string data);

public abstract class JRpcTransport {
   public event NotifyPacket OnPacket;
   public abstract Task Write(string data);

   protected internal void SendPacketEvent(string data) {
      this.OnPacket.Invoke(data);
   }
}
