import { VerificationError } from "./ts_base";
enum TestEnum {
   VAL1=0,
   VAL2=1,
   VAL10=10,
   VAL11=11,
   VAL12=12,
}

export default TestEnum

export function apply_TestEnum (data: TestEnum): TestEnum {
   data = Number(data);
   if(TestEnum[data] == undefined) throw new VerificationError("TestEnum", undefined, data);
   return data;
}